=== appserv-native/src/cpp/solaris/Makefile ===
#
# The contents of this file are subject to the terms 
# of the Common Development and Distribution License 
# (the License).  You may not use this file except in
# compliance with the License.
# 
# You can obtain a copy of the license at 
# https://glassfish.dev.java.net/public/CDDLv1.0.html or
# glassfish/bootstrap/legal/CDDLv1.0.txt.
# See the License for the specific language governing 
# permissions and limitations under the License.
# 
# When distributing Covered Code, include this CDDL 
# Header Notice in each file and include the License file 
# at glassfish/bootstrap/legal/CDDLv1.0.txt.  
# If applicable, add the following below the CDDL Header, 
# with the fields enclosed by brackets [] replaced by
# you own identifying information: 
# "Portions Copyrighted [year] [name of copyright owner]"
# 
# Copyright 2006 Sun Microsystems, Inc. All rights reserved.
#

ifndef COMPONENT_NAME
COMPONENT_NAME=appserv-native
endif

BUILD_ROOT=../../..

USE_MAPFILE=1

MODULE=solarisauth
include $(BUILD_ROOT)/make/defines.mk


ifeq ($(OS_ARCH), SunOS)

all::

DLL_TARGET=solarisauth

# object list is here
# CRCS=solarisauth.c auditutil.c
CRCS=solarisauth.c

# DLL_OBJS=solarisauth auditutil
DLL_OBJS=solarisauth

LOCAL_INC += $(JNI_INCLUDES)
LOCAL_INC += -I$(GLASSFISH_MAVEN)/../appserv-core/build
# LOCAL_INC += -I$(EXTERNAL_BASE)/$(JAVA_OBJDIR)/appserv-core/internal/include

LOCAL_LIB += pam

PUBLIC_DYNAMIC_LIBRARIES=$(DLL_TARGET)

SOMETHING_EXPORTED=1

endif # ifeq SunOS

# this should always be last!
include $(BUILD_ROOT)/make/rules.mk
