## glassfish 2ur2-b04

=== debian/changelog ===
glassfish (1:2ur2-b04-6) unstable; urgency=low

  * Increase sleep time to 20 seconds. (Closes: #574307)

 -- Torsten Werner <twerner@debian.org>  Wed, 17 Mar 2010 23:03:52 +0100

glassfish (1:2ur2-b04-5) unstable; urgency=low

  * Add an extra <sleep /> before line 62 in debian/build.xml as we had in the
    past. (Closes: #571403)

 -- Torsten Werner <twerner@debian.org>  Sun, 28 Feb 2010 13:28:59 +0100

glassfish (1:2ur2-b04-4) unstable; urgency=low

  * debian/control:
    - Switch to default-jdk
    - Bump Standards-Version to 3.8.4
    - Bump dh_compat to 7
    - Change Section to java
  * Add patches/appserv.diff, fixes FTBFS (Closes: #564365)
  * Switch to source format 3.0 (quilt)
  * Move glassfish-appserv-jstl.jar from glassfish-appserv
    to glassfish-javaee (Closes: #548242)

 -- Varun Hiremath <varun@debian.org>  Wed, 17 Feb 2010 22:48:12 -0500

glassfish (1:2ur2-b04-3) unstable; urgency=low

  [ Torsten Werner ]
  * Change watch file to stay with major version 2.

  [ Varun Hiremath ]
  * Change build order in debian/build.xml, fixes FTBFS (Closes: #533461)
  * Bump Standards-Version to 3.8.2

 -- Varun Hiremath <varun@debian.org>  Thu, 25 Jun 2009 21:33:41 -0400

glassfish (1:2ur2-b04-2) unstable; urgency=low

  merge changes from Lenny:
  * Fix java runtime Depends. (Closes: #503775)

 -- Torsten Werner <twerner@debian.org>  Thu, 06 Nov 2008 22:00:12 +0100

glassfish (1:2ur2-b04-1) unstable; urgency=low

  * new upstream release
  * Update debian/watch to be more flexible.
  * Set build.sysclasspath=first in debian/ant.properties.
  * Increase the <sleep/> introduced with the last upload.

 -- Torsten Werner <twerner@debian.org>  Sun, 31 Aug 2008 15:53:28 +0200

glassfish (2+b58g-4) unstable; urgency=low

  * Switch to openjdk-6.
  * Move package to main.
  * Add a <sleep/> in debian/build.xml because of a strange race condition.
  * Bump up Standards-Version: 3.8.0 (no changes needed).
  * Update debian/watch for the current upstream version without actually
    upgrading to this version yet.

 -- Torsten Werner <twerner@debian.org>  Tue, 12 Aug 2008 00:59:02 +0200

glassfish (2+b58g-3) unstable; urgency=low

  * Build directory servlet-api to make javaee more complete.
  * Remove Build-Depends: libservlet2.4-java.
  * Add Build-Depends: libaxis-java and remove wrong patch ejb.diff.
  * Change Standards-Version: 3.7.3.
  * Build appserv-jstl.

 -- Torsten Werner <twerner@debian.org>  Tue, 18 Dec 2007 13:16:37 +0100

glassfish (2+b58g-2) unstable; urgency=low

  * glassfish-javaee: Build and install ejb-api too.

 -- Torsten Werner <twerner@debian.org>  Fri, 02 Nov 2007 17:54:59 +0100

glassfish (2+b58g-1) unstable; urgency=low

  * Initial release (Closes: #448509)

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 24 Apr 2007 17:19:10 +0530
