=== debian/control ===
Source: glassfish
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Torsten Werner <twerner@debian.org>
Build-Depends: cdbs, debhelper (>= 7)
Build-Depends-Indep: ant, default-jdk, libaxis-java
Standards-Version: 3.8.4
Homepage: https://glassfish.dev.java.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/glassfish
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/glassfish

#Package: glassfish
#Architecture: all
#Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
#Description: Open source Java EE 5 Application Server
# The GlassFish community is building free, open source,
# production-quality, enterprise software. The main deliverables are an
# Application Server, the Java EE 5 Reference Implementation, and the
# Java Persistence API Reference Implementation, TopLink Essentials.

Package: glassfish-activation
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the activation part of Glassfish.

Package: glassfish-appserv
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Application Server components of Glassfish.

Package: glassfish-jmac-api
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Jmac API components of Glassfish.

Package: glassfish-mail
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Java Mail components of GlassFish.

Package: glassfish-javaee
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Java EE 5 Reference Implementation
 components of GlassFish.

Package: glassfish-toplink-essentials
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Toplink Essentials components of Glassfish.
