=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk

JAVA_HOME               := /usr/lib/jvm/default-java
DEB_ANT_BUILD_TARGET	:= jar
DEB_ANT_BUILDFILE	:= debian/build.xml
DEB_DESTDIR		:= $(CURDIR)/debian/tmp
DEB_JARS                := jaxrpc

ALL_JARS := $(wildcard publish/glassfish/lib/*.jar)
ALL_JARS += $(wildcard */build/release/*.jar)
DEST_DIR = $(DEB_DESTDIR)/usr/share/java

#clean::
#	rm -rf publish/glassfish

common-install-prehook-indep::
	for jar in $(ALL_JARS); do                         \
	  BASENAME=glassfish-`basename $$jar .jar`;        \
	  FULLNAME=$$BASENAME-$(DEB_UPSTREAM_VERSION).jar; \
	  install -m 644 -D $$jar $(DEST_DIR)/$$FULLNAME;  \
	  ln -sf $$FULLNAME $(DEST_DIR)/$$BASENAME.jar;     \
	done

get-orig-source:
	-uscan --upstream-version 0
