=== debian/watch ===
version=3
http://download.java.net/javaee5/v(2[[:digit:].]+)/promoted/source/glassfish-v([[:alnum:].-]+)-src.zip \
 debian debian/orig-tar.sh
