## glassfish 2.1.1

=== appserv-native/Makefile ===
--- 
+++ 
@@ -155,6 +155,14 @@
 	fi
 endif #ifeq Linux
 
+ifeq ($(OS_ARCH), AIX)
+CLI_DIR=src/cpp/cli
+JVMINFO_DIR=src/cpp/jvminfo
+
+post_build:: build_cli publish_cli publish_jvminfo publish_cli_glassfish
+build_cli::
+	$(STD_GMAKE_CMD)
+endif #ifeq AIX
 
 publish_jvminfo::
 	$(AT)if test -d $(BUILD_ROOT)/$(JVMINFO_DIR)/build; then \
