## glassfish 2.1.1-b31

=== debian/changelog ===
glassfish (1:2.1.1-b31-2) unstable; urgency=low

  * Install POM and jar for Java Messaging Service (JMS).

 -- Torsten Werner <twerner@debian.org>  Fri, 21 May 2010 09:51:10 +0200

glassfish (1:2.1.1-b31-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch for release 2.1.1.
  * Convert patches to dep3 format.
  * Invoke ant twice if the first execution fails. Remove the <sleep/>
    workaround.
  * Install some POM files. (Closes: #581885)

 -- Torsten Werner <twerner@debian.org>  Tue, 18 May 2010 21:31:25 +0200
