=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>, Torsten Werner <twerner@debian.org>
-Build-Depends: cdbs, debhelper (>= 7)
+Build-Depends: cdbs, debhelper (>= 7), maven-repo-helper
 Build-Depends-Indep: ant, default-jdk, libaxis-java
 Standards-Version: 3.8.4
 Homepage: https://glassfish.dev.java.net/
