=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 JAVA_HOME               := /usr/lib/jvm/default-java
-DEB_ANT_BUILD_TARGET	:= jar
 DEB_ANT_BUILDFILE	:= debian/build.xml
 DEB_DESTDIR		:= $(CURDIR)/debian/tmp
 DEB_JARS                := jaxrpc
@@ -13,8 +12,15 @@
 ALL_JARS += $(wildcard */build/release/*.jar)
 DEST_DIR = $(DEB_DESTDIR)/usr/share/java
 
-#clean::
-#	rm -rf publish/glassfish
+clean::
+	$(RM) -r debian/poms
+
+# The first invokation of ant fails sometimes:
+debian/stamp-ant-build:
+	$(DEB_ANT_INVOKE) $(DEB_ANT_BUILD_TARGET) || \
+	  $(DEB_ANT_INVOKE) $(DEB_ANT_BUILD_TARGET)
+	touch debian/stamp-ant-build
+
 
 common-install-prehook-indep::
 	for jar in $(ALL_JARS); do                         \
@@ -24,5 +30,48 @@
 	  ln -sf $$FULLNAME $(DEST_DIR)/$$BASENAME.jar;     \
 	done
 
+install/glassfish-mail::
+	mh_installpom -pglassfish-mail debian/poms/mail.xml
+	mh_installjar -pglassfish-mail debian/poms/mail.xml \
+	  publish/glassfish/lib/mail.jar /usr/share/java/glassfish-mail.jar
+
+install/glassfish-javaee::
+	mh_installpom -pglassfish-javaee debian/poms/ejb-api.xml
+	mh_installjar -pglassfish-javaee debian/poms/ejb-api.xml \
+	  ejb-api/build/release/ejb-api.jar \
+	  /usr/share/java/glassfish-ejb-api.jar
+	mh_installpom -pglassfish-javaee debian/poms/jstl.xml
+	mh_installjar -pglassfish-javaee debian/poms/jstl.xml \
+	  publish/glassfish/lib/appserv-jstl.jar \
+	  /usr/share/java/glassfish-appserv-jstl.jar
+	mh_installpom -pglassfish-javaee debian/poms/jta.xml
+	mh_installjar -pglassfish-javaee debian/poms/jta.xml \
+	  transaction-api/build/release/jta.jar \
+	  /usr/share/java/glassfish-jta.jar
+	mh_installpom -pglassfish-javaee debian/poms/jpa.xml
+	mh_installjar -pglassfish-javaee debian/poms/jpa.xml \
+	  persistence-api/build/release/persistence-api.jar \
+	  /usr/share/java/glassfish-jpa.jar
+	cd jms-api/build && jar cf jms.jar javax
+	mh_installpom -pglassfish-javaee debian/jms.pom
+	mh_installjar -pglassfish-javaee debian/jms.pom \
+	  jms-api/build/jms.jar /usr/share/java/glassfish-jms.jar
+
+install/glassfish-activation::
+	mh_installpom -pglassfish-activation debian/poms/activation.xml
+	mh_installjar -pglassfish-activation debian/poms/activation.xml \
+	  publish/glassfish/lib/activation.jar \
+	  /usr/share/java/glassfish-activation.jar
+
+install/glassfish-toplink-essentials::
+	mh_installpom -pglassfish-toplink-essentials debian/poms/toplink.xml
+	mh_installjar -pglassfish-toplink-essentials debian/poms/toplink.xml \
+	  entity-persistence/build/release/toplink-essentials.jar \
+	  /usr/share/java/glassfish-toplink-essentials.jar
+	mh_installpom -pglassfish-toplink-essentials debian/poms/toplink-agent.xml
+	mh_installjar -pglassfish-toplink-essentials debian/poms/toplink-agent.xml \
+	  entity-persistence/build/release/toplink-essentials-agent.jar \
+	  /usr/share/java/glassfish-toplink-essentials-agent.jar
+
 get-orig-source:
-	-uscan --upstream-version 0
+	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download
