## glassfish 2.1.1-b31g

=== debian/changelog ===
glassfish (1:2.1.1-b31g-3) unstable; urgency=low

  [ James Page ]
  * Fix FTBFS with openjdk-7 as default-jdk (LP: #888938):
    - d/patches/java7-compat.patch: compatibility patch for compilation
      with Java 7 API's. (Closes: #675038).

  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 30 May 2012 01:07:41 +0200

glassfish (1:2.1.1-b31g-2) unstable; urgency=low

  * Install POM and jar for Jmac API into maven-repo.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.3.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 23 Feb 2012 23:25:45 +0100

glassfish (1:2.1.1-b31g-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * d/control:
    - Drop Depends on JRE since its only a library package.
    - Drop ${shlibs:Depends} since we are building arch:all packages.
    - Bump Standards-Version to 3.9.2: no changes needed.
    - Fix typo in package description (Closes: #587617).
  * Install POM and jar for Java EE API 5.0 at javax:javaee-api.
  * d/copyright: Drop links to BSD common-licences.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 24 May 2011 22:56:36 +0200
