=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,15 @@
 clean::
 	$(RM) -r debian/poms
 
-# The first invokation of ant fails sometimes:
+# The first invokation of ant fails sometimes
+# http://ant.apache.org/manual/Tasks/jar.html
+# "Please note that ZIP files store file modification times with
+# a granularity of two seconds. If a file is less than two seconds
+# newer than the entry in the archive, Ant will not consider it newer."
 debian/stamp-ant-build:
 	$(DEB_ANT_INVOKE) $(DEB_ANT_BUILD_TARGET) || \
 	  $(DEB_ANT_INVOKE) $(DEB_ANT_BUILD_TARGET)
 	touch debian/stamp-ant-build
-
 
 common-install-prehook-indep::
 	for jar in $(ALL_JARS); do                         \
@@ -56,12 +59,20 @@
 	mh_installpom -pglassfish-javaee debian/jms.pom
 	mh_installjar -pglassfish-javaee debian/jms.pom \
 	  jms-api/build/jms.jar /usr/share/java/glassfish-jms.jar
+	mh_installpom -pglassfish-javaee debian/jee.pom
+	mh_installjar -pglassfish-javaee debian/jee.pom \
+	  publish/glassfish/lib/javaee.jar /usr/share/java/glassfish-javaee.jar
 
 install/glassfish-activation::
 	mh_installpom -pglassfish-activation debian/poms/activation.xml
 	mh_installjar -pglassfish-activation debian/poms/activation.xml \
 	  publish/glassfish/lib/activation.jar \
 	  /usr/share/java/glassfish-activation.jar
+
+install/glassfish-jmac-api::
+	mh_installpom -pglassfish-jmac-api debian/jmac-api.pom
+	mh_installjar -pglassfish-jmac-api debian/jmac-api.pom \
+          publish/glassfish/lib/jmac-api.jar /usr/share/java/glassfish-jmac-api.jar
 
 install/glassfish-toplink-essentials::
 	mh_installpom -pglassfish-toplink-essentials debian/poms/toplink.xml
