=== debian/watch ===
version=3

# after 2.1.2 gets available:
#http://download.java.net/javaee5/v(2[[:digit:].]+)/promoted/source/glassfish-v([[:alnum:].-]+)-src.zip \

http://download.java.net/javaee5/v2.1.1_branch/promoted/source/glassfish-v([[:alnum:].-]+)-src.zip \
 debian debian/orig-tar.sh
