## glassfish 2.1.1-b31g%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,14 @@
 include /usr/share/cdbs/1/class/ant.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%m/%d/%Y" -d "$(LAST_CHANGE)")
+
 JAVA_HOME               := /usr/lib/jvm/default-java
 DEB_ANT_BUILDFILE	:= debian/build.xml
 DEB_DESTDIR		:= $(CURDIR)/debian/tmp
 DEB_JARS                := jaxrpc
+DEB_ANT_ARGS            := -Dbuild_date=$(BUILD_DATE)
 
 ALL_JARS := $(wildcard publish/glassfish/lib/*.jar)
 ALL_JARS += $(wildcard */build/release/*.jar)
@@ -14,6 +18,8 @@
 
 clean::
 	$(RM) -r debian/poms
+	mh_clean
+	rm -Rf persistence-api/build/ publish
 
 # The first invokation of ant fails sometimes
 # http://ant.apache.org/manual/Tasks/jar.html
